const widgets = require("statusbar");
const self = require("self");
const tabs = require("tabs");
const rotateDocs = require("rotate-docs");
var angle = 0;

widgets.add(widgets.Widget({
  label: "Rotate Left",
  image: self.data.url("rotate-left.png"),
  onClick: function(e){
    let win = tabs.activeTab.contentWindow;
    let scrollY = rotateDocs.getScroll(win);
    angle -= 90;
    if(angle < -90){ angle += 360; }
    if(rotateDocs.rotate(win, angle)) {
      rotateDocs.setScroll(win, scrollY);
    }
  }
}));

widgets.add(widgets.Widget({
  label: "Rotate Right",
  image: self.data.url("rotate-right.png"),
  onClick: function(e){
    let win = tabs.activeTab.contentWindow;
    let scrollY = rotateDocs.getScroll(win);
    angle += 90;
    if(angle > 180){ angle -= 360; }
    if(rotateDocs.rotate(win, angle)) {
      rotateDocs.setScroll(win, scrollY);
    }
  }
}));

function listener(tab) {
  let win = tab.contentWindow;
  let scrollY = rotateDocs.getScroll(win);
  if(rotateDocs.rotate(win, angle)) {
    rotateDocs.setScroll(win, scrollY);
  }
};

tabs.onReady = listener;
tabs.onActivate = listener;
